%define oname   builder

Name:       ruby-%{oname}
Epoch:      1
Version:    3.3.0
Release:    %mkrel 2
Summary:    Builders for MarkUp
Group:      Development/Ruby
License:    MIT
URL:        https://onestepback.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch:  noarch

%description
Builder provides a number of builder objects that make creating structured
data simple to do.  Currently the following builder objects are supported:

  * XML Markup
  * XML Events


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%exclude %{gem_instdir}/doc
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/doc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1:3.3.0-2.mga10
+ Revision: 2230819
- Mageia 10 Mass Rebuild

* Wed Dec 04 2024 pterjan <pterjan> 1:3.3.0-1.mga10
+ Revision: 2120948
- Update to 3.3.0

* Fri Mar 25 2022 umeabot <umeabot> 1:3.2.4-2.mga9
+ Revision: 1826631
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 1:3.2.4-1.mga8
+ Revision: 1561538
- Update to 3.2.4

* Wed Feb 12 2020 umeabot <umeabot> 1:3.2.3-3.mga8
+ Revision: 1507648
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:3.2.3-2.mga7
+ Revision: 1290791
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 pterjan <pterjan> 1:3.2.3-1.mga7
+ Revision: 1142023
- Update to 3.2.3

* Sat Dec 19 2015 pterjan <pterjan> 1:3.2.2-1.mga6
+ Revision: 912344
- Update to 3.2.2

* Wed Oct 15 2014 umeabot <umeabot> 1:3.1.4-8.mga6
+ Revision: 748709
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.1.4-7.mga5
+ Revision: 688755
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1:3.1.4-6.mga4
+ Revision: 561779
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1:3.1.4-5.mga4
+ Revision: 561068
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1:3.1.4-4.mga4
+ Revision: 535299
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1:3.1.4-3.mga4
+ Revision: 481901
- Rebuild for Ruby 2

* Sun Sep 08 2013 pterjan <pterjan> 1:3.1.4-2.mga4
+ Revision: 476436
- Fix file list

* Thu Jun 27 2013 fwang <fwang> 1:3.1.4-1.mga4
+ Revision: 447442
- new version 3.1.4

* Fri Feb 08 2013 umeabot <umeabot> 1:3.0.4-4.mga3
+ Revision: 395727
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:3.0.4-3.mga3
+ Revision: 380661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1:3.0.4-2.mga3
+ Revision: 312482
- add requires

* Fri Nov 02 2012 fwang <fwang> 1:3.0.4-1.mga3
+ Revision: 312326
- 3.0.4 is more preferred

* Thu Nov 01 2012 fwang <fwang> 3.1.4-1.mga3
+ Revision: 312255
- update file list
- update file list
- new version 3.1.4

* Thu Jun 07 2012 shlomif <shlomif> 3.0.0-1.mga3
+ Revision: 257094
- New version: 3.0.0

* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-3.mga1
+ Revision: 39584
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-2.mga1
+ Revision: 39337
- fix missing require
- imported package ruby-builder


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.1.2-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sat Oct 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 584325
- import rubygem-builder

